Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class OtherInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x9.OtherInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class OtherInfo
extends ASN1Object

ASN.1 def for Diffie-Hellman key exchange OtherInfo structure. See RFC 2631, or X9.42, for further details. OtherInfo ::= SEQUENCE { keyInfo KeySpecificInfo, partyAInfo [0] OCTET STRING OPTIONAL, suppPubInfo [2] OCTET STRING }

Constructor Summary
`OtherInfo(KeySpecificInfo keyInfo, ASN1OctetString partyAInfo, ASN1OctetString suppPubInfo)`

Method Summary
`static OtherInfo` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static OtherInfo` | `getInstance(java.lang.Object obj)` Return a OtherInfo object from the passed in object.
`KeySpecificInfo` | `getKeyInfo()` Return the key specific info for the KEK/CEK.
`ASN1OctetString` | `getPartyAInfo()` PartyA info for key deriviation.
`ASN1OctetString` | `getSuppPubInfo()` The length of the KEK to be generated as a 4 byte big endian.
`static OtherInfo` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`ASN1Primitive` | `toASN1Primitive()` Return an ASN.1 primitive representation of this object.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherInfo

    public OtherInfo(KeySpecificInfo keyInfo,
                     ASN1OctetString partyAInfo,
                     ASN1OctetString suppPubInfo)

Method Detail

### getInstance

    public static OtherInfo getInstance(java.lang.Object obj)

  Return a OtherInfo object from the passed in object.

  Parameters:
    `obj` - an object for conversion or a byte[].
  Returns:
    a OtherInfo

### getInstance

    public static OtherInfo getInstance(ASN1TaggedObject taggedObject,
                                        boolean declaredExplicit)

### getTagged

    public static OtherInfo getTagged(ASN1TaggedObject taggedObject,
                                      boolean declaredExplicit)

### getKeyInfo

    public KeySpecificInfo getKeyInfo()

  Return the key specific info for the KEK/CEK.

  Returns:
    the key specific info.

### getPartyAInfo

    public ASN1OctetString getPartyAInfo()

  PartyA info for key deriviation.

  Returns:
    PartyA info.

### getSuppPubInfo

    public ASN1OctetString getSuppPubInfo()

  The length of the KEK to be generated as a 4 byte big endian.

  Returns:
    KEK length as a 4 byte big endian in an octet string.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Return an ASN.1 primitive representation of this object.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a DERSequence containing the OtherInfo values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD